Bug 660772 - FTBFS intellij-idea-9.0.1.94.399-12.fc15
FTBFS intellij-idea-9.0.1.94.399-12.fc15
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: intellij-idea (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F15FTBFS 660986
  Show dependency treegraph
 
Reported: 2010-12-07 12:54 EST by FTBFS
Modified: 2012-02-13 06:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-13 06:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (22.55 KB, text/plain)
2010-12-07 12:55 EST, FTBFS
no flags Details
build.log (623 bytes, text/plain)
2010-12-07 12:55 EST, FTBFS
no flags Details
mock.log (878 bytes, text/plain)
2010-12-07 12:55 EST, FTBFS
no flags Details
root.log (26.67 KB, text/plain)
2010-12-07 12:55 EST, FTBFS
no flags Details
build.log (633 bytes, text/plain)
2010-12-07 12:55 EST, FTBFS
no flags Details
mock.log (822 bytes, text/plain)
2010-12-07 12:55 EST, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-12-07 12:54:59 EST
intellij-idea-9.0.1.94.399-12.fc15.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-12-07 12:55:02 EST
Created attachment 465478 [details]
root.log


root.log for i386
Comment 2 FTBFS 2010-12-07 12:55:03 EST
Created attachment 465479 [details]
build.log


build.log for i386
Comment 3 FTBFS 2010-12-07 12:55:04 EST
Created attachment 465480 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2010-12-07 12:55:05 EST
Created attachment 465481 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2010-12-07 12:55:06 EST
Created attachment 465482 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2010-12-07 12:55:08 EST
Created attachment 465483 [details]
mock.log


mock.log for x86_64
Comment 7 Mat Booth 2010-12-20 13:40:30 EST
The missing dep was fixed in intellij-idea-9.0.1.94.399-13 but still doesn't build?? 

http://koji.fedoraproject.org/koji/packageinfo?packageID=10116
Comment 8 Andrew Haley 2011-01-14 04:42:07 EST
The original cause of this is a bug in javac; it doesn't do type inference in generics correctly.  

IntelliJ worked around this by providing a custom version of com.sun.tools.javac.comp.Infer.java and they load it into the compiler by setting the compiler's bootclasspath with -J-Xbootclasspath/p:patches.  This can only possibly work with one particular version of javac.  It doesn't work with the javac in OpenJDK.

Anyway, there is a way to make this work:
Compile it with ecj until the day all this type inference stuff
finally gets fixed in javac.

Edit build/scripts/dist.gant:

  project["javac"] = "/usr/bin/ecj"
  //project["javac_args"] = "-J-Xbootclasspath/p:patches:$jdk/lib/tools.jar"
Comment 9 Alexander Kurtakov 2012-02-13 06:11:35 EST
The package has been retired.

Note You need to log in before you can comment on or make changes to this bug.